Para recordar al actualizar Arch Linux

A pesar de lo que pongo en la etiqueta, no es un error tan común… en el sentido de que no es un error propio del sistema. Sin embargo, puede ocurrir que un proceso de actualización (# pacman -Syu) se corte por algún motivo ajeno al usuario y, al intentar una nueva actualización, se reciba un mensaje de error indicando que la base de datos está en uso. El caso es que nunca recuerdo qué archivo tengo que borrar, así que me preparé un script para hacerlo cada vez que lo necesite, con el creativo nombre de unlockpacman.

Helo aquí:

#!/bin/bash
sudo rm /var/lib/pacman/db.lck

Facebook Comments

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.